<!-- $Id: common.mrc.in.dist,v 1.22 2003/07/16 00:49:58 ehood Exp $  -->
<!-- ================================================================== -->
<!--	MHonArc resource file for mharc mail archives 			-->
<!--	Description:
	  This is the main resource file for the mail archives.
	  it contains all the common formatting characteristics
	  used across archives.  Archive specific settings can
	  be set via command-line options the bin/web-archive
	  program.
  -->
<!-- ================================================================== -->

<!-- ================================================================== -->
<!--	Custom Variable Defintions 					-->
<!-- ================================================================== -->
<!--
	The following variables defined by the web-archive program
	and not here:
	  $ALL-LISTS-URL$	URL to all archive listing.
	  $CUR-PERIOD$		Current period in YYYY or YYYY-MM format.
	  $LIST-NAME$		Archive/list name and search index name.
	  $LIST-TITLE$		Archive/list title: generally equals
				$LIST-NAME$, but can be different like for
				CVS commit archives.
	  $PNAV-CGI$		URL to period navigation cgi program.
	  $SEARCH-CGI$		URL to search cgi program.
  -->

<!-- :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: -->
<!--  Custom Text Variables                                             -->
<!-- :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: -->
<!--	The following variable can be redefined to allow for
	language variations.
  -->
<!-- :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: -->

<!-- Variable for defining any <meta http-equiv> tags. -->
<DefineVar chop>
HTTP-EQUIV
</DefineVar>

<DefineVar chop>
PREV-PERIOD-LABEL
P&eacute;riode&nbsp;Pr&eacute;c&eacute;dente
</DefineVar>

<DefineVar chop>
NEXT-PERIOD-LABEL
P&eacute;riode&nbsp;suivante
</DefineVar>

<DefineVar chop>
ADV-SEARCH-LABEL
Avanc&eacute;
</DefineVar>

<DefineVar chop>
THREAD-IDX-LABEL
Index&nbsp;par&nbsp;sujet
</DefineVar>

<DefineVar chop>
DATE-IDX-LABEL
Date&nbsp;Index
</DefineVar>

<DefineVar chop>
TOP-LINK-LABEL
Top
</DefineVar>

<DefineVar chop>
ALL-LISTS-LABEL
Toutes&nbsp;les&nbsp;listes
</DefineVar>

<DefineVar chop>
PREV-MSG-BUTTON-LABEL
&lt;pr&acute;c&acute;dent
</DefineVar>

<DefineVar chop>
NEXT-MSG-BUTTON-LABEL
suivant&gt;
</DefineVar>

<DefineVar chop>
DATE-IDX-BUTTON-LABEL
Date
</DefineVar>

<DefineVar chop>
THREAD-IDX-BUTTON-LABEL
Sujet
</DefineVar>

<DefineVar chop>
ORIGINAL-MSG-LINK-LABEL
Original
</DefineVar>

<DefineVar chop>
BOOKMARK-LINK-LABEL
Lien&nbsp;Permanent
</DefineVar>

<DefineVar chop>
PREV-IN-THREAD-LABEL
&lt;Pr&eacute;c&eacute;dent&nbsp;du&nbsp;sujet
</DefineVar>

<DefineVar chop>
NEXT-IN-THREAD-LABEL
Suivant&nbsp;du&nbsp;Sujet&gt;
</DefineVar>

<DefineVar chop>
CURRENT-THREAD-LABEL
Sujet&nbsp;courant
</DefineVar>

<DefineVar chop>
MORE-SUBJECT-LABEL
Plus&nbsp;sur&nbsp;ce&nbsp;sujet...
</DefineVar>

<DefineVar chop>
PREV-BY-DATE-LABEL
Pr&eacute;c&eacute;dent&nbsp;par&nbsp;date
</DefineVar>

<DefineVar chop>
NEXT-BY-DATE-LABEL
suivant&nbsp;par&nbsp;date
</DefineVar>

<DefineVar chop>
PREV-BY-THREAD-LABEL
Pr&acute;c&acute;dent&nbsp;par&nbsp;sujet
</DefineVar>

<DefineVar chop>
NEXT-BY-THREAD-LABEL
Suivant&nbsp;par&nbsp;sujet
</DefineVar>

<DefineVar chop>
INDEXES-LABEL
Index
</DefineVar>

<!-- :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: -->
<!--  Links and Buttons                                                 -->
<!-- :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: -->

<DefineVar chop>
STYLESHEET-LINK
<link rel="stylesheet" type="text/css" href="@@HTML_URL@@/stylesheet.css">
</DefineVar>

<DefineVar chop>
PREV-PERIOD-LINK
&lt;<a href="$PNAV-CGI$?a=$LIST-NAME$&amp;m=$CUR-PERIOD$&amp;d=prev">$PREV-PERIOD-LABEL$</a>]
</DefineVar>

<DefineVar chop>
NEXT-PERIOD-LINK
[<a href="$PNAV-CGI$?a=$LIST-NAME$&amp;m=$CUR-PERIOD$&amp;d=next">$NEXT-PERIOD-LABEL$</a>&gt;
</DefineVar>

<DefineVar chop>
TPREV-PERIOD-LINK
&lt;<a href="$PNAV-CGI$?a=$LIST-NAME$&amp;m=$CUR-PERIOD$&amp;d=prev&amp;t=t">$PREV-PERIOD-LABEL$</a>]
</DefineVar>

<DefineVar chop>
TNEXT-PERIOD-LINK
[<a href="$PNAV-CGI$?a=$LIST-NAME$&amp;m=$CUR-PERIOD$&amp;d=next&amp;t=t">$NEXT-PERIOD-LABEL$</a>&gt;
</DefineVar>

<DefineVar chop>
PREV-PERIOD-BUTTON
<span class="periodLink">$PREV-PERIOD-LINK$</span>
</DefineVar>

<DefineVar chop>
NEXT-PERIOD-BUTTON
<span class="periodLink">$NEXT-PERIOD-LINK$</span>
</DefineVar>

<DefineVar chop>
TPREV-PERIOD-BUTTON
<span class="periodLink">$TPREV-PERIOD-LINK$</span>
</DefineVar>

<DefineVar chop>
TNEXT-PERIOD-BUTTON
<span class="periodLink">$TNEXT-PERIOD-LINK$</span>
</DefineVar>

<DefineVar chop>
THREAD-IDX-LINK
[<b><a href="$TIDXFNAME$">$THREAD-IDX-LABEL$</a></b>]
</DefineVar>

<DefineVar chop>
DATE-IDX-LINK
[<b><a href="$IDXFNAME$">$DATE-IDX-LABEL$</a></b>]
</DefineVar>

<!-- Variable representing markup of search form. -->
<DefineVar>
SEARCH-FORM
<form method="get" action="$SEARCH-CGI$"
><nobr><input type="text" name="query" size="20"
><input type="submit" name="submit" value="Search"
></nobr><input type="hidden" name="idxname" value="$LIST-NAME$">
<small><nobr>[<a href="$SEARCH-CGI$?idxname=$LIST-NAME$">$ADV-SEARCH-LABEL$</a>]</nobr></small></form>
</DefineVar>

<!-- ================================================================== -->
<!--	General Resources						-->
<!-- ================================================================== -->

<!-- Since we specify resource settings everytime, no need to save
     them in archive database.
  -->
<NoSaveResources>

<!-- We should give credit where credit is due, but the style of
     the link does not go well with what we are trying to do here.
  -->
<NoDoc>

<!-- Arguments to content filters.
     CAUTION: Verify options against security concerns and make
	      any changes accordingly.

     Summary of settings:
	. Inline images if no disposition provided.
	. Use content-type-based icons for attachments, see ICONS
	  setting below.
	. Text/plain attachments should be saved to a separate file.
	  By default, MHonArc inlines all text/plain entities.
	. Italicize quoted text in messages.
	. Make sure line lengths in text messages do not exceed 80
	  characters.
	. Suppress output of HTML document title for HTML entities.
  -->
<MIMEArgs override>
m2h_external::filter;	inline useicon
m2h_text_plain::filter;	attachcheck quote maxwidth=80
m2h_text_html::filter;	notitle
</MIMEArgs>

<!-- A little stricter MSGSEP.  Not important if CONLEN active.
     Try to be more strict than '^From ', but not too strict to deal
     with possible variations.
  -->
<MsgSep>
^From \S+.*\d+:\d+:\d+
</MsgSep>

<!-- Icons settings copied from documentation.  Works with
     Apache server.  Icons not used in index, but attachment
     filter is given useicon argument.  If Apache is not used,
     or the icon URLs are different, this resource needs to
     be changed or the useicon argument removed from
     m2h_external::filter.
  -->
<Icons>
application/*;[20x22]/icons/generic.gif
application/msword;[20x22]/icons/layout.gif
application/postscript;[20x22]/icons/ps.gif
application/rtf;[20x22]/icons/layout.gif
application/x-csh;[20x22]/icons/script.gif
application/x-dvi;[20x22]/icons/dvi.gif
application/x-gtar;[20x22]/icons/tar.gif
application/x-gzip;[20x22]/icons/compressed.gif
application/x-ksh;[20x22]/icons/script.gif
application/x-latex;[20x22]/icons/tex.gif
application/octet-stream;[20x22]/icons/binary.gif
application/x-patch;[20x22]/icons/patch.gif
application/pdf;[20x22]/icons/pdf.gif
application/x-script;[20x22]/icons/script.gif
application/x-sh;[20x22]/icons/script.gif
application/x-tar;[20x22]/icons/tar.gif
application/x-tex;[20x22]/icons/tex.gif
application/x-zip-compressed;[20x22]/icons/compressed.gif
application/zip;[20x22]/icons/compressed.gif
audio/*;[20x22]/icons/sound1.gif
chemical/*;[20x22]/icons/sphere2.gif
image/*;[20x22]/icons/image2.gif
message/external-body;[20x22]/icons/link.gif
multipart/*;[20x22]/icons/layout.gif
text/*;[20x22]/icons/text.gif
video/*;[20x22]/icons/movie.gif
*/*;[20x22]/icons/generic.gif
</Icons>

<!-- ================================================================== -->
<!--	Main Index 							-->
<!-- ================================================================== -->

<!-- Set sorting order of main index pages: Reverse chronological.  -->
<Sort>
<Reverse>

<!-- Show dates in local time. -->
<UseLocalTime>

<!-- Make date index the default page for the archive. -->
<IdxFName>
index.html
</IdxFName>

<!-- Default date format to use for dates.  This can be overridden
     on a per resource variable instance.
  -->
<MsgLocalDateFmt>
%d %m %Y
</MsgLocalDateFmt>

<IdxPgBegin>
<html>
<head>
$HTTP-EQUIV$
<title>$IDXTITLE$</title>
$STYLESHEET-LINK$
</head>
<body>
<center>
<div class="idxTitle">
<span class="listTitle"><strong>$IDXTITLE$</strong></span>
</div>
<div class="metaIdxNav">
<nobr>$THREAD-IDX-LINK$<nobr>
<nobr>[<a href="../">$TOP-LINK-LABEL$</a>]</nobr>
<nobr>[<a href="$ALL-LISTS-URL$">$ALL-LISTS-LABEL$</a>]</nobr>
</div>
</center>
</IdxPgBegin>

<ListBegin>
<table width="100%">
<tr>
<td align="left">$PREV-PERIOD-BUTTON$</td>
<td align="center">$SEARCH-FORM$</td>
<td align="right">$NEXT-PERIOD-BUTTON$</td>
</tr>
</table>
<div class="dateList">
</ListBegin>

<!-- Date listing is done in day groups with the each day listed in bold
     and messages for that date listed under it.
  -->
<DayBegin>
<div class="dayGroup">
<strong>$MSGLOCALDATE$</strong>
<ul>
</DayBegin>

<DayEnd>
</ul>
</div>
</DayEnd>

<LITemplate>
<li>$SUBJECT$, <i>$FROMNAME$</i>, <tt>$MSGLOCALDATE(CUR;%H:%M)$</tt></li>
</LITemplate>

<ListEnd>
</div>
<table width="100%">
<tr valign="bottom">
<td align="left">$PREV-PERIOD-BUTTON$</td>
<td align="right">$NEXT-PERIOD-BUTTON$</td>
</tr>
</table>
</ListEnd>

<!-- ================================================================== -->
<!--	Thread Index 							-->
<!-- ================================================================== -->

<!-- Reverse thread order. -->
<TReverse>

<!-- Show no indicator of subject-based thread detection since most
     people do not care.
     NOTE: The blank line is important!
  -->
<TSubjectBeg>

</TSubjectBeg>

<TIdxPgBegin>
<html>
<head>
$HTTP-EQUIV$
<title>$TIDXTITLE$</title>
$STYLESHEET-LINK$
</head>
<body>
<center>
<div class="idxTitle">
<span class="listTitle"><strong>$TIDXTITLE$</strong></span>
</div>
<div class="metaIdxNav">
<nobr>$DATE-IDX-LINK$<nobr>
<nobr>[<a href="../">$TOP-LINK-LABEL$</a>]</nobr>
<nobr>[<a href="$ALL-LISTS-URL$">$ALL-LISTS-LABEL$</a>]</nobr>
</div>
</center>
</TIdxPgBegin>

<THead>
<table width="100%">
<tr>
<td align="left">$TPREV-PERIOD-BUTTON$</td>
<td align="center">$SEARCH-FORM$</td>
<td align="right">$TNEXT-PERIOD-BUTTON$</td>
</tr>
</table>
<div class="threadList">
<ul>
</THead>

<TTopBegin>
<li><div class="threadGroup">
<b>$SUBJECT$</b>, <i>$FROMNAME$</i>, <tt>$MSGLOCALDATE(CUR;%Y/%m/%d)$</tt>
</TTopBegin>

<TTopEnd>
</div></li>
</TTopEnd>

<TLiTxt>
<li><b>$SUBJECT$</b>, <i>$FROMNAME$</i>, <tt>$MSGLOCALDATE(CUR;%Y/%m/%d)$</tt>
</TLiTxt>

<TSingleTxt>
<li><div class="tSingle">
<b>$SUBJECT$</b>, <i>$FROMNAME$</i>, <tt>$MSGLOCALDATE(CUR;%Y/%m/%d)$</tt>
</div></li>
</TSingleTxt>

<TFoot>
</ul>
</div>
<table width="100%">
<tr valign="bottom">
<td align="left">$TPREV-PERIOD-BUTTON$</td>
<td align="right">$TNEXT-PERIOD-BUTTON$</td>
</tr>
</table>
</TFoot>

<!-- ================================================================== -->
<!--	Message Pages							-->
<!-- ================================================================== -->

<ModTime>

<!-- We clip the subject title to 72 characters to prevent ugly pages
     due to very long subject lines.  The full subject text will still
     be shown in the formatted message header.
  -->
<MsgPgBegin>
<html>
<head>
$HTTP-EQUIV$
<title>$SUBJECTNA:72$</title>
$STYLESHEET-LINK$
<link rev="made" href="mailto:$FROMADDR$">
<link rel="start" href="../">
<link rel="contents" href="$TIDXFNAME$#$MSGNUM$">
<link rel="index" href="$IDXFNAME$#$MSGNUM$">
<link rel="prev" href="$MSG(TPREV)$">
<link rel="next" href="$MSG(TNEXT)$">
</head>
<body>
<center>
<div class="msgTitle">
<span class="listTitle"><strong>$LIST-TITLE$</strong></span>
</div>
<div class="metaIdxNav">
<nobr>[<a href="../">$TOP-LINK-LABEL$</a>]</nobr>
<nobr>[<a href="$ALL-LISTS-URL$">$ALL-LISTS-LABEL$</a>]</nobr>
</div>
</center>
</MsgPgBegin>

<!-- Top navigation. -->
<PrevButton chop>
<a href="$MSG(PREV)$">$PREV-MSG-BUTTON-LABEL$</a>
</PrevButton>
<NextButton chop>
<a href="$MSG(NEXT)$">$NEXT-MSG-BUTTON-LABEL$</a>
</NextButton>
<TPrevButton chop>
<a href="$MSG(TPREV)$">$PREV-MSG-BUTTON-LABEL$</a>
</TPrevButton>
<TNextButton chop>
<a href="$MSG(TNEXT)$">$NEXT-MSG-BUTTON-LABEL$</a>
</TNextButton>

<PrevButtonIA chop>
<span class="iaText">$PREV-MSG-BUTTON-LABEL$</span>
</PrevButtonIA>
<NextButtonIA chop>
<span class="iaText">$NEXT-MSG-BUTTON-LABEL$</span>
</NextButtonIA>
<TPrevButtonIA chop>
<span class="iaText">$PREV-MSG-BUTTON-LABEL$</span>
</TPrevButtonIA>
<TNextButtonIA chop>
<span class="iaText">$NEXT-MSG-BUTTON-LABEL$</span>
</TNextButtonIA>

<!-- The following variables represent nav buttons for use in TOPLINKS
     resource.  We use variables so TOPLINKS can be modified without
     redefining TOPLINKS.
  -->
<DefineVar chop>
TOP-DATE-NAV
<span class="topDateNav"><nobr>$BUTTON(PREV)$&nbsp;<strong
>[<a href="$IDXFNAME$#$MSGNUM$">$DATE-IDX-BUTTON-LABEL$</a>]</strong
>&nbsp;$BUTTON(NEXT)$</nobr></span>
</DefineVar>

<DefineVar chop>
TOP-THREAD-NAV
<span class="topThreadNav"><nobr>$BUTTON(TPREV)$&nbsp;<strong
>[<a href="$TIDXFNAME$#$MSGNUM$">$THREAD-IDX-BUTTON-LABEL$</a>]</strong
>&nbsp;$BUTTON(TNEXT)$</nobr></span>
</DefineVar>

<DefineVar chop>
ORIGINAL-LINK
<span class="orgLink"
>[<a href="$EXTRACT-CGI$?a=$LIST-NAME:U$&amp;m=$CUR-PERIOD$&amp;i=$MSGID:U$"
>$ORIGINAL-MSG-LINK-LABEL$</a>]</span>
</DefineVar>

<DefineVar chop>
BOOKMARK-LINK
<span class="bookmarkLink"
>[<a href="$MESG-CGI$?a=$LIST-NAME:U$&amp;i=$MSGID:U$"
>$BOOKMARK-LINK-LABEL$</a>]</span>
</DefineVar>

<DefineVar chop>
AUTHOR-LINK
<span class="authorLink">from
[<a href="$SEARCH-CGI$?query=%2Bfrom%3A$FROMADDR:U$&amp;idxname=$LIST-NAME$&amp;sort=date%3Alate"
><em>$FROMNAME$</em></a>]</span>
</DefineVar>

<TopLinks>
<center>
<div class="topLinks">
<table class="mainNav" width="100%">
<tr>
<td width="33%" align="left">$TOP-DATE-NAV$</td>
<td width="34%" align="center">$SEARCH-FORM$</td>
<td width="33%" align="right">$TOP-THREAD-NAV$</td>
</tr>
</table>
</div>
</center>
</TopLinks>

<!-- Make sure subject heading is not too long.
     NOTE: We put the div tag for the message head here since the converted
	   message header cannot be modified after first conversion.
  -->
<SubjectHeader>
<div class="msgSubject">
<h2>$SUBJECTNA:72$</h2>
<div class="msgLinks">
<table width="100%">
<tr valign="baseline">
<td align="left">$AUTHOR-LINK$</td>
<td align="right">$BOOKMARK-LINK$$ORIGINAL-LINK$</td>
</tr></table>
</div>
</div>
<div class="msgHead">
</SubjectHeader>

<!-- Format message header in a table. -->
<Fieldsbeg>
<table>
</FieldsBeg>

<LabelBeg>
<tr valign="baseline">
<th align="right">
</LabelBeg>

<LabelEnd>
: </th>
</LabelEnd>

<FldBeg>
<td align="left">
</FldBeg>

<FldEnd>
</td>
</tr>
</FldEnd>

<FieldsEnd>
</table>
</FieldsEnd>

<LabelStyles>
-default-:strong
</LabelStyles>

<!-- Put div markers to close message head and start message body.
  -->
<HeadBodySep>
</div>
<div class="msgBody">
<table cellspacing="1" width="100%"><tr><td>
</HeadBodySep>

<!-- Disable explicit follow-up/references section and use $TSLICE$ instead.
  -->
<NoFolRefs>

<!-- Set TSLICE resource to represent default $TSLICE$ behavior and
     mainly to set the maximum message page update ranges when messages
     are added to the archive.  I.e.  The before and after values
     should represent the largest before and after values we will use
     with $TSLICE$.
  -->
<TSlice>
10:10:1
</TSlice>

<!-- We set up slice formatting so current message in thread is not
     hyperlinked and "greyed out".  We could probably use CSS to
     do this, but <font> seems to still work with most popular
     graphical browsers.
  -->
<TSliceBeg>
<ul>
</TSliceBeg>

<TSliceTopBegin>
<li><b>$SUBJECT$</b>, <i>$FROMNAME$</i>
</TSliceTopBegin>

<TSliceLiTxt>
<li><b>$SUBJECT$</b>, <i>$FROMNAME$</i>
</TSliceLiTxt>

<TSliceSingleTxt>
<li><b>$SUBJECT$</b>, <i>$FROMNAME$</i>
</TSliceSingleTxt>

<TSliceTopBeginCur>
<li><span class="sliceCur"><strong>$SUBJECTNA$</strong>,
<em>$FROMNAME$</em>&nbsp;<b></span>&lt;=</b>
</TSliceTopBeginCur>

<TSliceLiTxtCur>
<li><span class="sliceCur"><strong>$SUBJECTNA$</strong>,
<em>$FROMNAME$</em>&nbsp;<b></span>&lt;=</b>
</TSliceLiTxtCur>

<TSliceSingleTxtCur>
<li><span class="sliceCur"><strong>$SUBJECTNA$</strong>,
<em>$FROMNAME$</em>&nbsp;<b></span>&lt;=</b>
</TSliceSingleTxtCur>

<TSliceEnd>
</ul>
</TSliceEnd>

<TPrevInButton chop>
<a href="$MSG(TPREVIN)$"><strong>$PREV-IN-THREAD-LABEL$</strong></a>]
</TPrevInButton>
<TNextInButton>
[<a href="$MSG(TNEXTIN)$"><strong>$NEXT-IN-THREAD-LABEL$</strong></a>
</TNextInButton>

<TPrevInButtonIA chop>
<span class="iaText"><strong>$PREV-IN-THREAD-LABEL$</strong>]</span>
</TPrevInButtonIA>
<TNextInButtonIA chop>
<span class="iaText">[<strong>$NEXT-IN-THREAD-LABEL$</strong></span>
</TNextInButtonIA>

<!-- The TSLICE-LISTING variable represents the thread slice listing
     at the bottom of message pages.  If threading is not needed for
     an archive, this variable can be redefined to the empty string
     in the archive specific resource file.
  -->
<DefineVar chop>
TSLICE-LISTING
<div class="tSlice">
<table cellspacing="1" cellpadding="4" width="100%">
<tr valign="baseline">
<td align="left">$BUTTON(TPREVIN)$</td>
<th align="center" width="100%"><strong>$CURRENT-THREAD-LABEL$</strong></th>
<td align="right">$BUTTON(TNEXTIN)$</td></tr>
<tr class="tSliceList"><td colspan="3">
$TSLICE$
</td></tr>
</table></div>
</DefineVar>

<DefineVar chop>
SUBJECT-LINK
<span class="subjectLink">[<a href="$SEARCH-CGI$?query=$NMZ-SUBJECT-QUERY:U$&amp;idxname=$LIST-NAME$&amp;sort=date%3Alate"
>$MORE-SUBJECT-LABEL$</a>]</span>
</DefineVar>

<!-- Modify end of message body to include thread slice.  We also
     include convenient next/prev-in-thread links since scanning
     slice can be inconvenient for simple thread reading.
  -->
<MsgBodyEnd>
</td></tr></table>
</div>
<div class="msgLinks">
<table width="100%">
<tr valign="baseline">
<td align="center">$SUBJECT-LINK$</td>
</tr></table>
</div>
$TSLICE-LISTING$
</MsgBodyEnd>

<!-- The following variable represents the index links for use in BOTLINKS.
     We use a variable so archives that disable an index, or add one,
     can just change this variable instead of redefining BOTLINKS.
  -->
<DefineVar chop>
BOTTOM-IDX-LINKS
[<a href="$IDXFNAME$#$MSGNUM$"><strong>$DATE-IDX-BUTTON-LABEL$</strong></a>]
[<a href="$TIDXFNAME$#$MSGNUM$"><strong>$THREAD-IDX-BUTTON-LABEL$</strong></a>]
</DefineVar>

<!-- Use a table to format bottom links
  -->
<PrevLink chop>
<tr valign="baseline">
<th align="right">$PREV-BY-DATE-LABEL$:&nbsp;</th>
<td width="100%"><strong><a href="$MSG(PREV)$">$SUBJECT(PREV)$</a></strong>, <em>$FROMNAME(PREV)$</em></td>
</tr>
</PrevLink>

<NextLink chop>
<tr valign="baseline">
<th align="right">$NEXT-BY-DATE-LABEL$:&nbsp;</th>
<td width="100%"><strong><a href="$MSG(NEXT)$">$SUBJECT(NEXT)$</a></strong>, <em>$FROMNAME(NEXT)$</em></td>
</tr>
</NextLink>

<TPrevLink chop>
<tr valign="baseline">
<th align="right">$PREV-BY-THREAD-LABEL$:&nbsp;</th>
<td width="100%"><strong><a href="$MSG(TPREV)$">$SUBJECT(TPREV)$</a></strong>, <em>$FROMNAME(TPREV)$</em></td>
</tr>
</TPrevLink>

<TNextLink chop>
<tr valign="baseline">
<th align="right">$NEXT-BY-THREAD-LABEL$:&nbsp;</th>
<td width="100%"><strong><a href="$MSG(TNEXT)$">$SUBJECT(TNEXT)$</a></strong>, <em>$FROMNAME(TNEXT)$</em></td>
</tr>
</TNextLink>

<BotLinks>
<div class="botLinks">
<table width="100%">
$LINK(PREV)$
$LINK(NEXT)$
$LINK(TPREV)$
$LINK(TNEXT)$
<tr valign="baseline">
<th align="right">$INDEXES-LABEL$:&nbsp;</th>
<td>$BOTTOM-IDX-LINKS$
[<a href="../"><strong>$TOP-LINK-LABEL$</strong></a>]
[<a href="$ALL-LISTS-URL$"><strong>$ALL-LISTS-LABEL$</strong></a>]</td>
</tr>
</table>
</div>
</BotLinks>
